Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03766 Crash/Freeze Critical (emulator) Always Mar 5, 2010, 20:09 Feb 19, 2011, 00:27
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To Atari Ace Resolution Fixed OS Windows XP (32-bit)
Status [?] Resolved Driver vegas.cpp
Version 0.136u4 Fixed in Version 0.141u3 Build Normal
Fixed in Git Commit Github Pull Request #
Summary 03766: cartfury, roadburn, sf2049 + clones: Crash before OK
Description When attempting to run the set, you get to "Initializing.." and the crash occurs.
Program received signal SIGSEGV, Segmentation fault.
0x018e978e in running_device::baseconfig (this=0x0) at src/emu/devintrf.h:447
447 const device_config &baseconfig() const { return m_baseconfig; }

Current language: auto
The current source language is "auto; currently c++".
(gdb) bt
#0 0x018e978e in running_device::baseconfig (this=0x0)
    at src/emu/devintrf.h:447
#1 0x00ddf83c in timer_device_adjust_oneshot (timer=0x0, duration=...,
    param=0) at src/emu/timer.c:706
#2 0x00732f69 in dcs_reset (machine=0x2671f0, ptr=0x0, param=0)
    at src/mame/audio/dcs.c:866
#3 0x0073419c in dcs2_init (machine=0x2671f0, dram_in_mb=4, polling_offset=0)
    at src/mame/audio/dcs.c:1045
#4 0x0071b03f in driver_init_cartfury (machine=0x2671f0)
    at src/mame/drivers/vegas.c:2578
#5 0x00dadcb1 in init_machine (machine=0x2671f0) at src/emu/mame.c:1425
#6 0x00daa6a2 in mame_execute (options=0x3f5d28) at src/emu/mame.c:295
#7 0x01016585 in cli_execute (argc=3, argv=0x3f4660, osd_options=0x2a5bcc0)
    at src/emu/clifront.c:176
#8 0x00ce6064 in utf8_main (argc=3, argv=0x3f4660)
    at src/osd/windows/winmain.c:318
#9 0x018a5a16 in wmain (argc=3, argv=0x3f3a28) at src/osd/windows/main.c:82
#10 0x004013d1 in __tmainCRTStartup () at ../mingw-w64-crt/crt/crtexe.c:268
#11 0x7c817077 in RegisterWaitForInputIdle ()
   from C:\WINDOWS\system32\kernel32.dll
#12 0x00000000 in ?? ()
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.135u4
Affected Sets / Systems cartfury, roadburn, sf2049 + clones
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.06528
Tafoid
Administrator
Aug 10, 2010, 16:41
A stack of 0.139 on cartfury shows:

-----------------------------------------------------
Exception at EIP=0125FA49 (mips3com_exit(_mips3_state*)+0x0009): ACCESS VIOLATION
While attempting to read memory at 00000798
-----------------------------------------------------
EAX=00000000 EBX=00000000 ECX=00000000 EDX=00260E78
ESI=00260440 EDI=0022FEE8 EBP=0022F950 ESP=0022F948
-----------------------------------------------------
Stack crawl:
  0022F950: 0125FA49 (mips3com_exit(_mips3_state*)+0x0009)
  0022F970: 010E54CA (cpu_exit_mips3(legacy_cpu_device*)+0x001a)
  0022F9D0: 014F8CD3 (legacy_cpu_device::~legacy_cpu_device()+0x0073)
  0022F9F0: 0172F0FD (rm7000le_device::~rm7000le_device()+0x003d)
  0022FA50: 01777690 (resource_pool_object<rm7000le_device>::~resource_pool_object()+0x0050)
  0022FA70: 01326A69 (resource_pool::remove(void*)+0x0099)
  0022FAE0: 01352A7B (running_machine::~running_machine()+0x01db)
  0022FB40: 01777911 (resource_pool_object<running_machine>::~resource_pool_object()+0x0051)
  0022FB60: 01326A69 (resource_pool::remove(void*)+0x0099)
  0022FC20: 013358FB (mame_execute(_core_options*)+0x033b)
  0022FD60: 014EB1ED (cli_execute(int, char**, _options_entry const*)+0x072d)
  0022FEF0: 00D28B44 (utf8_main(int, char**)+0x0114)
  0022FF30: 016E269E (wmain+0x006e)
  0022FFC0: 004013D1 (__tmainCRTStartup+0x0241)
  0022FFF0: 7C817077 (RegisterWaitForInputIdle+0x0049)